# AAC

- ADTS - Audio Data Transport Stream

- ADIF - Audio Data Interchange Format

- See ISO/IEC 13818-7 / 14496-03

exception mutagen.aac.AACError

class mutagen.aac.AAC(filename)

  Bases: `FileType`

  AAC(filething)

  Parameters:

    filething (filething)

  Load ADTS or ADIF streams containing AAC.

  Tagging is not supported. Use the ID3/APEv2 classes directly instead.

  info
    Type:

      `AACInfo`

  add_tags()

    Adds new tags to the file.

    Raises:

      mutagen.MutagenError – if tags already exist or adding is not possible.

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.aac.AACInfo

  Bases: `StreamInfo`

  AACInfo()

  AAC stream information. The length of the stream is just a guess and might not be correct.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bitrate

    audio bitrate, in bits per second

    Type:

      `int`

  pprint()
    Returns:

      Print stream information

    Return type:

      text